Re: [PATCH v6 6/7] perf test: Add test case for record sideband events

From: Yang Jihong
Date: Fri Aug 25 2023 - 02:14:31 EST


Hello,

On 2023/8/25 13:28, Ian Rogers wrote:
On Sun, Aug 20, 2023 at 6:30 PM Yang Jihong <yangjihong1@xxxxxxxxxx> wrote:

Add a new test case to record sideband events for all CPUs when tracing
selected CPUs

Test result:

# ./perf test list 2>&1 | grep 'perf record sideband tests'
95: perf record sideband tests
# ./perf test 95
95: perf record sideband tests : Ok

Signed-off-by: Yang Jihong <yangjihong1@xxxxxxxxxx>
Tested-by: Adrian Hunter <adrian.hunter@xxxxxxxxx>
---
tools/perf/tests/shell/record_sideband.sh | 44 +++++++++++++++++++++++
1 file changed, 44 insertions(+)
create mode 100755 tools/perf/tests/shell/record_sideband.sh

diff --git a/tools/perf/tests/shell/record_sideband.sh b/tools/perf/tests/shell/record_sideband.sh
new file mode 100755
index 000000000000..2ecf00011cb1
--- /dev/null
+++ b/tools/perf/tests/shell/record_sideband.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+# perf record sideband tests
+# SPDX-License-Identifier: GPL-2.0
+
+set -e
+
+err=0
+perfdata=$(mktemp /tmp/__perf_test.perf.data.XXXXX)

Could you add some kind of cleanup on trap function like:
https://git.kernel.org/pub/scm/linux/kernel/git/perf/perf-tools-next.git/tree/tools/perf/tests/shell/record.sh?h=perf-tools-next#n26
It'd be okay to do this as a follow up patch.

Okay, it'll be modified in the next version.

Thanks,
Yang